#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test lcmaps_get_account_policy
conffile=/tmp/glexec.conf.$TESTNAME
yaim_setvar GLEXEC_WN_CONFIG $conffile

yaim_setvar GLEXEC_WN_SCAS_ENABLED $GLEXEC_WN_SCAS_ENABLED
yaim_setvar GLEXEC_WN_ARGUS_ENABLED $GLEXEC_WN_ARGUS_ENABLED

yaim_run

rc=$?
if [ $rc -ne $YEX_OK ]; then
    seterrmsg "Return code $rc should be $YEX_OK"
    exit 1
fi

yaim_finish

grep "^lcmaps_get_account_policy" $conffile > /tmp/outp.$TESTNAME

diff /tmp/outp.$TESTNAME $scriptdir/output_$TESTNAME

if [ $? -ne 0 ]; then
    seterrmsg "unexpected lcas_get_account_policy: "`cat /tmp/outp.$TESTNAME`
    exit 1
else
    exit 0
fi

