#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test case for the absence of glexec

# move glexec away

mv /opt/glite/sbin/glexec /opt/glite/sbin/gloxoc

# run yaim

yaim_run

# ? what happens? exit code 92 == no such file or directory

rc=$?
if [ $rc -eq 92 ]; then
    ret=0
else
    ret=1
    seterrmsg "Return code $rc should be 92"
fi

# move it back
mv /opt/glite/sbin/gloxoc /opt/glite/sbin/glexec


yaim_finish

exit $ret