#!/bin/bash

. `dirname $0`/yaim-helper.sh

yaim_prepare

# Test backing up of existing config file

# make dummy conf file

conffile=/tmp/glexec.conf.$TESTNAME
yaim_setvar GLEXEC_WN_CONFIG $conffile

echo hoi > "$conffile"
# run yaim

yaim_run

rc=$?
if [ $rc -eq $YEX_OK ]; then
    ret=0
else
    ret=1
    seterrmsg "Return code $rc should be $YEX_OK"
    exit $ret
fi

yaim_finish

if grep hoi $conffile.old ; then
    exit 0
else
    seterrmsg "GLEXEC_WN_CONFIG not backed up"
    exit 1
fi

